import request from '@/utils/request'

export function getPreservePage(data) {
  return request({
    url: '/js-instrument-maintenance/page',
    method: 'get',
    params: data
  })
}

export function getPreserveList(data) {
  return request({
    url: '/js-instrument-maintenance/list',
    method: 'post',
    data: data
  })
}

export function getPreserveDetail(data) {
  return  request({
    url: '/js-instrument-maintenance/listById',
    method: 'post',
    data: data
  })
}

export function addPreservePage(data) {
  return request({
    url: '/js-instrument-maintenance/add',
    method: 'post',
    data: data
  })
}

export function editPreservePage(data) {
  return request({
    url: '/js-instrument-maintenance/edit',
    method: 'post',
    data: data
  })
}

export function delPreservePage(data) {
  return request({
    url: '/js-instrument-maintenance/delete',
    method: 'post',
    data: data
  })
}
